Summary: Gmsh, A three-dimensional finite element mesh generator with built-in pre- and post-processing facilities
Name: gmsh
Version: 4.9.5
Release: 11%{?dist}1a
Source0: localhost:/%{name}-%{version}-source.tgz
URL: http://gmsh.info/
Group: Development/Libraries
License: GPL
%define __prefix	/opt/gmsh
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: fltk
Requires: fltk

%description
Gmsh is a free 3D finite element grid generator with a build-in CAD engine and post-processor. Its design goal is to provide a fast, light and user-friendly meshing tool with parametric input and advanced visualization capabilities. Gmsh is built around four modules: geometry, mesh, solver and post-processing. The specification of any input to these modules is done either interactively using the graphical user interface or in ASCII text files using Gmsh's own scripting language.

Gmsh is copyright (C) 1997-2017 by C. Geuzaine and J.-F. Remacle (see the CREDITS file for more information) and is distributed under the terms of the GNU General Public License (GPL) (version 2 or later, with an exception to allow for easier linking with external libraries).

If you use Gmsh please cite the following reference in your work (books, articles, reports, etc.): C. Geuzaine and J.-F. Remacle. Gmsh: a three-dimensional finite element mesh generator with built-in pre- and post-processing facilities. International Journal for Numerical Methods in Engineering 79(11), pp. 1309-1331, 2009. You can also cite additional references for specific features and algorithms.

%prep
%setup -n %{name}-%{version}-source

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}

%build
mkdir build
cd build
export CXX=clang++
cmake -DCMAKE_PREFIX_PATH=%{_prefix} -DCMAKE_INSTALL_PREFIX=%{__prefix}/%{version} ..
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=$RPM_BUILD_ROOT
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc *.txt
%defattr(-,root,wheel)
%dir %{__prefix}/%{version}
%{__prefix}/%{version}/*

%changelog
* Fri Apr 1 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 4.9.5-11hepx1a
- 1st  release on MacOS 11
- built with OSXWS 11 and clang.

* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 4.9.5-12hepx1b
- 2nd  release on MacOS 12 for M1 Macs.
- built with OSXWS 12beta and clang.

* Wed Feb 23 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 4.9.5-12hepx1a
- 1st release on MacOS 12 for M1 Macs.
- built with OSXWS 11 and clang.

* Tue Jan 28 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 4.5.1-10.15hepx1a
- 1st release on MacOS X 10.15 for x86_64.
- built with OSXWS 10.15.

* Sun Dec 29 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 4.5.1-10.14hepx1a
- 1st release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.14.

* Sat Dec 28 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 3.0.6-10.14hepx1b
- 2nd release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.14.

* Tue Dec 25 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 3.0.6-10.14hepx1a
- 1st release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.13.

* Wed Apr 03 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 3.0.6-10.13hepx1a
- 1st release on MacOS X 10.13 for x86_64.

* Sun Jan 8 2017 Keisuke Fujii <keisuke.fujii@kek.jp> 8.2-10.12hepx1a
- 1st release on MacOS X 10.12 for x86_64.
